<div class="container mt-3">
  <div class="card">
    <div class="card-header bg-info text-light">
      <h3>Ispiti</h3>
    </div>
    <div class="card-body" id="ispitTable">
      <table class="table table-hover" *ngIf="ispiti.length != 0; else emptyList">
        <thead class="bg-primary text-light">
          <th>Datum Odrzavanja</th>
          <th>Rok Za Prijavu</th>
          <th>Predmet</th>
        </thead>
        <tbody>
          <tr *ngFor="let ispit of ispiti" style="cursor: pointer" [routerLink]="['/ispiti', ispit.id]">
            <td>{{ispit.datumOdrzavanja | date: 'dd. MMMM yyyy'}}</td>
            <td>{{ispit.rokZaPrijavu | date: 'dd.MMMM yyyy'}}</td>
            <td>{{ispit.predmet}}</td>
          </tr>
        </tbody>
      </table>

      <ng-template #emptyList>
        <div class="jumbotron bg-warning">
          <h2>Nema ispita</h2>
        </div>
      </ng-template>
    </div>
    <div class="card-footer">
      <div class="row">
        <div class="col-11"></div>
        <div class="col-1"><button class="btn btn-info" (click)="onBack()">Back</button></div>
      </div>
    </div>
  </div>
</div>